## org.codehaus.groovy.grails.test
Class PotentialTest

    java.lang.Object
      org.codehaus.groovy.grails.test.PotentialTest

    public class PotentialTest

extends Object

Constructor Summary
`PotentialTest(String testPattern)`
`PotentialTest(String classPattern, String methodName)`

Method Summary
`(package private) String` `classPatternToFilePattern(String classPattern)`
`(package private) boolean` `containsMethodName(String testPattern)`
`String` `getClassPattern()`
`String` `getFilePattern()`
`String` `getMethodName()`
`(package private) boolean` `hasMethodName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PotentialTest

    public PotentialTest(String testPattern)

### PotentialTest

    public PotentialTest(String classPattern,
                         String methodName)

Method Detail

### getClassPattern

    public String getClassPattern()

### getMethodName

    public String getMethodName()

### getFilePattern

    public String getFilePattern()

### hasMethodName

    boolean hasMethodName()

### classPatternToFilePattern

    String classPatternToFilePattern(String classPattern)

### containsMethodName

    boolean containsMethodName(String testPattern)

Copyright (c) 2005-2009 The Grails project